#include	"basewin.h"

#define		szTitleName		TEXT("MiniPad")

class MainWindow ;
class EditArea ;

class MainApp {
private:
	HINSTANCE	m_hInst ;
	HACCEL		m_hAccl ;
	MainWindow	*m_pMainWnd ;
	EditArea	*m_pEditArea ;

public:
	MainApp() ;
	~MainApp() ;

	BOOL	Create( HINSTANCE hInst ) ;
	int		Run() ;
	BOOL	GetReg() ;
	void	SetReg() const ;
	void	DeleteReg() const ;

	HINSTANCE	get_inst() const {
		return m_hInst ;
	}
	EditArea	*get_edit() { return m_pEditArea ; }
} ;

extern "C" {
	extern	TCHAR	MessageBuf[ 512 ] ;
	extern	DWORD	GetFontH( void ) ;
	extern	LPCTSTR	g_szArgs ;
} ;
